PDA

View Full Version : Apache SSL AND phpldapadmin



naren_bishayee
25-Apr-2012, 08:45
Hi all,
I manually installed the Apache2, php5, openldap. After that i want to control openldap using phpldapadmin, but whenever i try to open the following page
http://127.0.0.1/phpldapadmin-1.2.2/htdocs/index.php

on browser it display the following message

Fatal error: Call to undefined function bindtextdomain() in /usr/local/apache2/htdocs/phpldapadmin-1.2.2/lib/common.php on line 267

Please help me to rectify this problem.

Another problem is i made the server.key & server.cry file but apache2 didn't open on ssl mode. IN fact it does not show any error message.

Apache version : 2.2.21
Ldap version : 2.4.30
php version : 5.4.0

Can someone send me the procedure for SSL on my apache version, i already add
Include conf/extra/httpd-ssl.conf
to httpd.conf

and content of the httpd-ssl.conf is same as they provide

smflood
25-Apr-2012, 15:10
On 25/04/2012 08:54, naren bishayee wrote:

> I manually installed the Apache2, php5, openldap. After that i
> want to control openldap using phpldapadmin, but whenever i try to open
> the following page
> http://127.0.0.1/phpldapadmin-1.2.2/htdocs/index.php
>
> on browser it display the following message
>
> Fatal error: Call to undefined function bindtextdomain() in
> /usr/local/apache2/htdocs/phpldapadmin-1.2.2/lib/common.php on line 267
>
> Please help me to rectify this problem.

By "manually installed" do you mean you downloaded the sources for
Apache, PHP, and OpenLDAP then compiled them or something else?

The above error is at it says - the function bindtextdomain() is not
defined in ../common.php.

> Another problem is i made the server.key& server.cry file but apache2
> didn't open on ssl mode. IN fact it does not show any error message.

Which URL are you using when accessing Apache? If you're using http://..
you'll get the non-SSL site and for SSL use https://..

> Apache version : 2.2.21
> Ldap version : 2.4.30
> php version : 5.4.0

Since you've posted in a SUSE Linux Enterprise Desktop (SLED) support
forum which version of SLED are you using?

> Can someone send me the procedure for SSL on my apache version, i
> already add
> Include conf/extra/httpd-ssl.conf
> to httpd.conf
>
> and content of the httpd-ssl.conf is same as they provide

So we can understand where you're at what steps have you already followed?

HTH.
--
Simon
Novell/SUSE/NetIQ Knowledge Partner

------------------------------------------------------------------------
Do you work with Novell technologies at a university, college or school?
If so, your campus could benefit from joining the Novell Technology
Transfer Partner (TTP) program. See novell.com/ttp for more details.
------------------------------------------------------------------------